# AddType type typeName extensionList readOptList writeOptList
catch {AddType BMP {Windows Bitmap} .bmp {{0 -verbose bool false true false}} {{0 -verbose bool false true false} {0 -xresolution string 0} {0 -yresolution string 0}}}
catch {AddType DTED {DTED Digital elevation data} {.dt0 .dt1 .dt2} {{0 -verbose bool false true false} {0 -min int 0} {0 -max int 32767} {0 -gamma float 1.0}} {{}}}
catch {AddType FITS {FITS Flexible Image Transport System} {.fit .fits} {{0 -verbose bool false true false} {0 -blank float 0} {0 -map enum minmax none minmax agc} {0 -min float -1.0} {0 -max float -1.0} {0 -gamma float 1.0} {0 -saturation float -1.0} {0 -cutoff float 3.0}} {{}}}
catch {AddType FLIR {FLIR Public Image Format} .fpf {{0 -verbose bool false true false} {0 -printagc bool false true false} {0 -map enum minmax none minmax agc} {0 -min float -1.0} {0 -max float -1.0} {0 -gamma float 1.0} {0 -saturation float -1.0} {0 -cutoff float 3.0}} {{}}}
catch {AddType GIF {Graphics Interchange Format} .gif {{0 -verbose bool false true false} {0 -index int 0}} {{0 -verbose bool false true false}}}
catch {AddType ICO {Windows Icon Format} .ico {{0 -verbose bool false true false} {0 -index int 0}} {{0 -verbose bool false true false}}}
catch {AddType JPEG JPEG {.jpg .jpeg .jfif} {{0 -verbose bool false true false} {0 -grayscale {} {}} {0 -fast {} {}}} {{0 -verbose bool false true false} {0 -grayscale {} {}} {0 -optimize {} {}} {0 -progressive {} {}} {0 -quality int 75} {0 -smooth int 0} {0 -xresolution string 0} {0 -yresolution string 0}}}
catch {AddType JP2 {JPEG 2000} {.jp2 .jpf .jpx} {{}} {{}}}
catch {AddType PCX {Paint Brush PCX} .pcx {{0 -verbose bool false true false}} {{0 -verbose bool false true false} {0 -compression enum rle none rle} {0 -xresolution string 0} {0 -yresolution string 0}}}
catch {AddType PDF {Portable Document Format} .pdf {{0 -index int 0} {0 -dpi float 72}} {{}}}
catch {AddType PNG {Portable Network Graphics} .png {{0 -verbose bool false true false} {0 -withalpha bool true true false} {0 -alpha float 0.5} {0 -gamma float 1.0}} {{0 -verbose bool false true false} {0 -xresolution string 0} {0 -yresolution string 0}}}
catch {AddType PPM {PPM and PGM} {.ppm .pgm .pnm} {{0 -verbose bool false true false} {0 -scanorder enum TopDown TopDown BottomUp} {0 -min float 0.0} {0 -max float 255.0} {0 -gamma float 1.0}} {{0 -verbose bool false true false} {0 -ascii bool false true false}}}
catch {AddType PS Postscript {.ps .eps} {{0 -verbose bool false true false} {0 -index int 0} {0 -zoom float 1.0} {0 -gs string {}}} {{}}}
catch {AddType RAW {Raw image data} .raw {{1 -useheader bool true true false} {0 -verbose bool false true false} {0 -printagc bool false true false} {0 -scanorder enum TopDown TopDown BottomUp} {0 -byteorder enum Intel Intel Motorola} {0 -pixeltype enum byte byte short int float double} {0 -skipbytes int 0} {0 -nchan int 1} {0 -width int 128} {0 -height int 128} {0 -map enum minmax none minmax agc} {0 -min float -1.0} {0 -max float -1.0} {0 -gamma float 1.0} {0 -saturation float -1.0} {0 -cutoff float 3.0}} {{1 -useheader bool true true false} {0 -verbose bool false true false} {1 -nchan int 3} {0 -scanorder enum TopDown TopDown BottomUp}}}
catch {AddType SGI {SGI native format} {.bw .int .inta .rgb .rgba} {{0 -verbose bool false true false} {0 -withalpha bool true true false}} {{0 -verbose bool false true false} {0 -withalpha bool true true false} {0 -compression enum rle rle none}}}
catch {AddType SUN {SUN raster format} {.ras .sun} {{0 -verbose bool false true false} {0 -withalpha bool true true false}} {{0 -verbose bool false true false} {0 -withalpha bool true true false} {0 -compression enum rle rle none}}}
catch {AddType SVG {Scalable Vector Graphic} .svg {{0 -dpi float 96} {0 -scale float 1.0} {0 -scaletowidth int 0} {0 -scaletoheight int 0}} {{}}}
catch {AddType TGA {Truevision format} .tga {{0 -verbose bool false true false} {0 -withalpha bool true true false}} {{0 -verbose bool false true false} {0 -withalpha bool true true false} {0 -compression enum rle rle none}}}
catch {AddType TIFF {Tagged image format} {.tif .tiff} {{0 -verbose bool false true false} {0 -index int 0}} {{0 -verbose bool false true false} {0 -compression enum none none deflate jpeg packbits} {0 -byteorder enum none none bigendian littleendian} {0 -xresolution string 0} {0 -yresolution string 0}}}
catch {AddType XBM {X Windows Bitmap} .xbm {{0 -verbose bool false true false} {0 -foreground string #000000} {0 -background string {}}} {{0 -verbose bool false true false}}}
catch {AddType XPM {X Windows Pixmap} .xpm {{0 -verbose bool false true false}} {{0 -verbose bool false true false}}}
